Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ss.formula.eval
Class FunctionEval

    java.lang.Object
      org.apache.poi.ss.formula.eval.FunctionEval

    public final class FunctionEval

extends java.lang.Object

Author:
  Amol S. Deshmukh < amolweb at ya hoo dot com >

Constructor Summary
`FunctionEval()`

Method Summary
`static Function` | `getBasicFunction(int functionIndex)`
`static java.util.Collection` | `getNotSupportedFunctionNames()` Returns an array of function names NOT implemented by POI.
`static java.util.Collection` | `getSupportedFunctionNames()` Returns a collection of function names implemented by POI.
`static void` | `registerFunction(java.lang.String name, Function func)` Register a new function in runtime.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FunctionEval

    public FunctionEval()

Method Detail

### getBasicFunction

    public static Function getBasicFunction(int functionIndex)

  Returns:
    `null` if the specified functionIndex is for INDIRECT() or any external (add-in) function.

### registerFunction

    public static void registerFunction(java.lang.String name,
                                        Function func)

  Register a new function in runtime.

  Parameters:
    `name` - the function name
    `func` - the functoin to register
  Throws:
    `java.lang.IllegalArgumentException` - if the function is unknown or already registered.
  Since:
    3.8 beta6

### getSupportedFunctionNames

    public static java.util.Collection getSupportedFunctionNames()

  Returns a collection of function names implemented by POI.

  Returns:
    an array of supported functions
  Since:
    3.8 beta6

### getNotSupportedFunctionNames

    public static java.util.Collection getNotSupportedFunctionNames()

  Returns an array of function names NOT implemented by POI.

  Returns:
    an array of not supported functions
  Since:
    3.8 beta6

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD